Home Download Buy Blog Forum Support

Bundling Python version 2.7?

Bundling Python version 2.7?

Postby akrabat on Sat May 12, 2012 9:59 am

Are there any plans to bundle 2.7 with SublimeText 2?

Regards,

Rob...
akrabat
 
Posts: 18
Joined: Wed Dec 21, 2011 3:41 pm

Re: Bundling Python version 2.7?

Postby Gordio on Sat May 26, 2012 5:55 am

I need 2.7 too.
In my Gentoo I need install 2.6 only for sublime (clang working)
Gordio
 
Posts: 13
Joined: Sun Oct 02, 2011 2:00 pm

Re: Bundling Python version 2.7?

Postby wbond on Tue May 29, 2012 1:40 pm

I think that moving from 2.6 to 2.7 would be a fairly large undertaking considering the number of packages that include compiled python code. I haven't heard anything about such a change, and it seems like it would be pretty late in the game to do so since there have been references to the 2.0 release happening soon.
wbond
 
Posts: 528
Joined: Mon Feb 28, 2011 5:33 am

Re: Bundling Python version 2.7?

Postby bizoo on Tue May 29, 2012 1:50 pm

If I remember well, another issue is that on OSX ST2 use the system Python interpreter which is at version 2.6
bizoo
 
Posts: 886
Joined: Wed Dec 08, 2010 6:53 am
Location: Switzerland

Re: Bundling Python version 2.7?

Postby quarnster on Tue May 29, 2012 4:16 pm

BTW, someone suggested using pythonbrew to install python 2.6 for SublimeClang on Linux to make the process very straightforward.
quarnster
 
Posts: 389
Joined: Tue Nov 29, 2011 11:34 am

Re: Bundling Python version 2.7?

Postby aparajita on Wed Jun 06, 2012 7:19 am

bizoo wrote:If I remember well, another issue is that on OSX ST2 use the system Python interpreter which is at version 2.6


On Mac OS X 10.6 the maximum python version is 2.6, on Mac OS X 10.7 the maximum python version is 2.7. Since ST2 supports 10.6, my guess is for consistency it always uses python 2.6.
aparajita
 
Posts: 177
Joined: Sun Jul 24, 2011 10:42 pm


Return to Plugin Development

Who is online

Users browsing this forum: No registered users and 3 guests